# std::basic_string< _CharT, _Traits, _Alloc > Class Template Reference
[Containers, Sequences]

Managing sequences of characters and character-like objects. More...

`#include <string>`

List of all members.

## Detailed Description

### template<typename _CharT, typename _Traits, typename _Alloc>
class std::basic_string< _CharT, _Traits, _Alloc >

Managing sequences of characters and character-like objects.

Meets the requirements of a container, a reversible container, and a sequence. Of the optional sequence requirements, only `push_back`, `at`, and array access are supported.

Todo:
  Doc me! See docs/doxygen/TODO and http://gcc.gnu.org/ml/libstdc++/2002-02/msg00003.html for more.

Definition at line 109 of file basic_string.h.

The documentation for this class was generated from the following files:

- basic_string.h
- basic_string.tcc